Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIPushSynchronized

Allows calls to `PetscViewerASCIISynchronizedPrintf()` for this viewer

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIPushSynchronized(PetscViewer viewer)

Collective

## Input Parameter

- viewer - obtained with `PetscViewerASCIIOpen()`

## Note

See documentation of `PetscViewerASCIISynchronizedPrintf()` for more details how the synchronized output should be done properly.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerFlush()`, `PetscViewerASCIIPopSynchronized()`, `PetscSynchronizedPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerSetType()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/ascii/filev.c

## Examples

src/vec/is/sf/tutorials/ex1.c
src/dm/tutorials/swarm_ex1.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages